<?xml version="1.0" encoding="UTF-8" ?> 
<wsdl:definitions xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:ns0="http://axis2.fax.uniproud.com" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:ns1="http://org.apache.axis2/xsd" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" targetNamespace="http://axis2.fax.uniproud.com">
<wsdl:documentation>FaxService</wsdl:documentation> 
<wsdl:types>
<xs:schema xmlns:ns="http://axis2.fax.uniproud.com" attributeFormDefault="qualified" elementFormDefault="qualified" targetNamespace="http://axis2.fax.uniproud.com">
<xs:element name="ChangePassword">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="changePwdStr" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="ChangePasswordResponse">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="return" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="DeleteFileForRecvTask">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="delForRTStr" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="DeleteFileForRecvTaskResponse">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="return" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="DeleteFileForSendTask">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="delForSTStr" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="DeleteFileForSendTaskResponse">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="return" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="GetUserInfo">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="userInfoStr" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="GetUserInfoResponse">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="return" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="ModifyUserInfo">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="modifyUIStr" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="ModifyUserInfoResponse">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="return" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="QueryResultForRecvTask">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="qrForRStr" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="QueryResultForRecvTaskResponse">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="return" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="QueryResultForRecvTaskZip">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="qrForRTZStr" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="QueryResultForRecvTaskZipResponse">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="return" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="QueryResultForSendTask">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="qrForSStr" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="QueryResultForSendTaskResponse">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="return" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="SendFaxToServer">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="sfToXMLStr" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="SendFaxToServerResponse">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="return" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="SendPHFaxToServer">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="sphfToXMLStr" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
<xs:element name="SendPHFaxToServerResponse">
<xs:complexType>
<xs:sequence>
<xs:element minOccurs="0" name="return" nillable="true" type="xs:string" /> 
</xs:sequence>
</xs:complexType>
</xs:element>
</xs:schema>
</wsdl:types>
<wsdl:message name="QueryResultForRecvTaskZipRequest">
<wsdl:part name="parameters" element="ns0:QueryResultForRecvTaskZip" /> 
</wsdl:message>
<wsdl:message name="QueryResultForRecvTaskZipResponse">
<wsdl:part name="parameters" element="ns0:QueryResultForRecvTaskZipResponse" /> 
</wsdl:message>
<wsdl:message name="DeleteFileForRecvTaskRequest">
<wsdl:part name="parameters" element="ns0:DeleteFileForRecvTask" /> 
</wsdl:message>
<wsdl:message name="DeleteFileForRecvTaskResponse">
<wsdl:part name="parameters" element="ns0:DeleteFileForRecvTaskResponse" /> 
</wsdl:message>
<wsdl:message name="ChangePasswordRequest">
<wsdl:part name="parameters" element="ns0:ChangePassword" /> 
</wsdl:message>
<wsdl:message name="ChangePasswordResponse">
<wsdl:part name="parameters" element="ns0:ChangePasswordResponse" /> 
</wsdl:message>
<wsdl:message name="QueryResultForSendTaskRequest">
<wsdl:part name="parameters" element="ns0:QueryResultForSendTask" /> 
</wsdl:message>
<wsdl:message name="QueryResultForSendTaskResponse">
<wsdl:part name="parameters" element="ns0:QueryResultForSendTaskResponse" /> 
</wsdl:message>
<wsdl:message name="QueryResultForRecvTaskRequest">
<wsdl:part name="parameters" element="ns0:QueryResultForRecvTask" /> 
</wsdl:message>
<wsdl:message name="QueryResultForRecvTaskResponse">
<wsdl:part name="parameters" element="ns0:QueryResultForRecvTaskResponse" /> 
</wsdl:message>
<wsdl:message name="SendPHFaxToServerRequest">
<wsdl:part name="parameters" element="ns0:SendPHFaxToServer" /> 
</wsdl:message>
<wsdl:message name="SendPHFaxToServerResponse">
<wsdl:part name="parameters" element="ns0:SendPHFaxToServerResponse" /> 
</wsdl:message>
<wsdl:message name="SendFaxToServerRequest">
<wsdl:part name="parameters" element="ns0:SendFaxToServer" /> 
</wsdl:message>
<wsdl:message name="SendFaxToServerResponse">
<wsdl:part name="parameters" element="ns0:SendFaxToServerResponse" /> 
</wsdl:message>
<wsdl:message name="ModifyUserInfoRequest">
<wsdl:part name="parameters" element="ns0:ModifyUserInfo" /> 
</wsdl:message>
<wsdl:message name="ModifyUserInfoResponse">
<wsdl:part name="parameters" element="ns0:ModifyUserInfoResponse" /> 
</wsdl:message>
<wsdl:message name="GetUserInfoRequest">
<wsdl:part name="parameters" element="ns0:GetUserInfo" /> 
</wsdl:message>
<wsdl:message name="GetUserInfoResponse">
<wsdl:part name="parameters" element="ns0:GetUserInfoResponse" /> 
</wsdl:message>
<wsdl:message name="DeleteFileForSendTaskRequest">
<wsdl:part name="parameters" element="ns0:DeleteFileForSendTask" /> 
</wsdl:message>
<wsdl:message name="DeleteFileForSendTaskResponse">
<wsdl:part name="parameters" element="ns0:DeleteFileForSendTaskResponse" /> 
</wsdl:message>
<wsdl:portType name="FaxServicePortType">
<wsdl:operation name="QueryResultForRecvTaskZip">
<wsdl:input message="ns0:QueryResultForRecvTaskZipRequest" wsaw:Action="urn:QueryResultForRecvTaskZip" /> 
<wsdl:output message="ns0:QueryResultForRecvTaskZipResponse" wsaw:Action="urn:QueryResultForRecvTaskZipResponse" /> 
</wsdl:operation>
<wsdl:operation name="DeleteFileForRecvTask">
<wsdl:input message="ns0:DeleteFileForRecvTaskRequest" wsaw:Action="urn:DeleteFileForRecvTask" /> 
<wsdl:output message="ns0:DeleteFileForRecvTaskResponse" wsaw:Action="urn:DeleteFileForRecvTaskResponse" /> 
</wsdl:operation>
<wsdl:operation name="ChangePassword">
<wsdl:input message="ns0:ChangePasswordRequest" wsaw:Action="urn:ChangePassword" /> 
<wsdl:output message="ns0:ChangePasswordResponse" wsaw:Action="urn:ChangePasswordResponse" /> 
</wsdl:operation>
<wsdl:operation name="QueryResultForSendTask">
<wsdl:input message="ns0:QueryResultForSendTaskRequest" wsaw:Action="urn:QueryResultForSendTask" /> 
<wsdl:output message="ns0:QueryResultForSendTaskResponse" wsaw:Action="urn:QueryResultForSendTaskResponse" /> 
</wsdl:operation>
<wsdl:operation name="QueryResultForRecvTask">
<wsdl:input message="ns0:QueryResultForRecvTaskRequest" wsaw:Action="urn:QueryResultForRecvTask" /> 
<wsdl:output message="ns0:QueryResultForRecvTaskResponse" wsaw:Action="urn:QueryResultForRecvTaskResponse" /> 
</wsdl:operation>
<wsdl:operation name="SendPHFaxToServer">
<wsdl:input message="ns0:SendPHFaxToServerRequest" wsaw:Action="urn:SendPHFaxToServer" /> 
<wsdl:output message="ns0:SendPHFaxToServerResponse" wsaw:Action="urn:SendPHFaxToServerResponse" /> 
</wsdl:operation>
<wsdl:operation name="SendFaxToServer">
<wsdl:input message="ns0:SendFaxToServerRequest" wsaw:Action="urn:SendFaxToServer" /> 
<wsdl:output message="ns0:SendFaxToServerResponse" wsaw:Action="urn:SendFaxToServerResponse" /> 
</wsdl:operation>
<wsdl:operation name="ModifyUserInfo">
<wsdl:input message="ns0:ModifyUserInfoRequest" wsaw:Action="urn:ModifyUserInfo" /> 
<wsdl:output message="ns0:ModifyUserInfoResponse" wsaw:Action="urn:ModifyUserInfoResponse" /> 
</wsdl:operation>
<wsdl:operation name="GetUserInfo">
<wsdl:input message="ns0:GetUserInfoRequest" wsaw:Action="urn:GetUserInfo" /> 
<wsdl:output message="ns0:GetUserInfoResponse" wsaw:Action="urn:GetUserInfoResponse" /> 
</wsdl:operation>
<wsdl:operation name="DeleteFileForSendTask">
<wsdl:input message="ns0:DeleteFileForSendTaskRequest" wsaw:Action="urn:DeleteFileForSendTask" /> 
<wsdl:output message="ns0:DeleteFileForSendTaskResponse" wsaw:Action="urn:DeleteFileForSendTaskResponse" /> 
</wsdl:operation>
</wsdl:portType>
<wsdl:binding name="FaxServiceSOAP11Binding" type="ns0:FaxServicePortType">
<soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document" /> 
<wsdl:operation name="QueryResultForRecvTaskZip">
<soap:operation soapAction="urn:QueryResultForRecvTaskZip" style="document" /> 
<wsdl:input>
<soap:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="DeleteFileForRecvTask">
<soap:operation soapAction="urn:DeleteFileForRecvTask" style="document" /> 
<wsdl:input>
<soap:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="ChangePassword">
<soap:operation soapAction="urn:ChangePassword" style="document" /> 
<wsdl:input>
<soap:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="QueryResultForSendTask">
<soap:operation soapAction="urn:QueryResultForSendTask" style="document" /> 
<wsdl:input>
<soap:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="QueryResultForRecvTask">
<soap:operation soapAction="urn:QueryResultForRecvTask" style="document" /> 
<wsdl:input>
<soap:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="SendPHFaxToServer">
<soap:operation soapAction="urn:SendPHFaxToServer" style="document" /> 
<wsdl:input>
<soap:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="SendFaxToServer">
<soap:operation soapAction="urn:SendFaxToServer" style="document" /> 
<wsdl:input>
<soap:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="ModifyUserInfo">
<soap:operation soapAction="urn:ModifyUserInfo" style="document" /> 
<wsdl:input>
<soap:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="GetUserInfo">
<soap:operation soapAction="urn:GetUserInfo" style="document" /> 
<wsdl:input>
<soap:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="DeleteFileForSendTask">
<soap:operation soapAction="urn:DeleteFileForSendTask" style="document" /> 
<wsdl:input>
<soap:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
</wsdl:binding>
<wsdl:binding name="FaxServiceSOAP12Binding" type="ns0:FaxServicePortType">
<soap12:binding transport="http://schemas.xmlsoap.org/soap/http" style="document" /> 
<wsdl:operation name="QueryResultForRecvTaskZip">
<soap12:operation soapAction="urn:QueryResultForRecvTaskZip" style="document" /> 
<wsdl:input>
<soap12:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap12:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="DeleteFileForRecvTask">
<soap12:operation soapAction="urn:DeleteFileForRecvTask" style="document" /> 
<wsdl:input>
<soap12:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap12:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="ChangePassword">
<soap12:operation soapAction="urn:ChangePassword" style="document" /> 
<wsdl:input>
<soap12:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap12:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="QueryResultForSendTask">
<soap12:operation soapAction="urn:QueryResultForSendTask" style="document" /> 
<wsdl:input>
<soap12:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap12:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="QueryResultForRecvTask">
<soap12:operation soapAction="urn:QueryResultForRecvTask" style="document" /> 
<wsdl:input>
<soap12:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap12:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="SendPHFaxToServer">
<soap12:operation soapAction="urn:SendPHFaxToServer" style="document" /> 
<wsdl:input>
<soap12:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap12:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="SendFaxToServer">
<soap12:operation soapAction="urn:SendFaxToServer" style="document" /> 
<wsdl:input>
<soap12:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap12:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="ModifyUserInfo">
<soap12:operation soapAction="urn:ModifyUserInfo" style="document" /> 
<wsdl:input>
<soap12:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap12:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="GetUserInfo">
<soap12:operation soapAction="urn:GetUserInfo" style="document" /> 
<wsdl:input>
<soap12:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap12:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="DeleteFileForSendTask">
<soap12:operation soapAction="urn:DeleteFileForSendTask" style="document" /> 
<wsdl:input>
<soap12:body use="literal" /> 
</wsdl:input>
<wsdl:output>
<soap12:body use="literal" /> 
</wsdl:output>
</wsdl:operation>
</wsdl:binding>
<wsdl:binding name="FaxServiceHttpBinding" type="ns0:FaxServicePortType">
<http:binding verb="POST" /> 
<wsdl:operation name="QueryResultForRecvTaskZip">
<http:operation location="FaxService/QueryResultForRecvTaskZip" /> 
<wsdl:input>
<mime:content type="text/xml" part="QueryResultForRecvTaskZip" /> 
</wsdl:input>
<wsdl:output>
<mime:content type="text/xml" part="QueryResultForRecvTaskZip" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="DeleteFileForRecvTask">
<http:operation location="FaxService/DeleteFileForRecvTask" /> 
<wsdl:input>
<mime:content type="text/xml" part="DeleteFileForRecvTask" /> 
</wsdl:input>
<wsdl:output>
<mime:content type="text/xml" part="DeleteFileForRecvTask" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="ChangePassword">
<http:operation location="FaxService/ChangePassword" /> 
<wsdl:input>
<mime:content type="text/xml" part="ChangePassword" /> 
</wsdl:input>
<wsdl:output>
<mime:content type="text/xml" part="ChangePassword" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="QueryResultForSendTask">
<http:operation location="FaxService/QueryResultForSendTask" /> 
<wsdl:input>
<mime:content type="text/xml" part="QueryResultForSendTask" /> 
</wsdl:input>
<wsdl:output>
<mime:content type="text/xml" part="QueryResultForSendTask" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="QueryResultForRecvTask">
<http:operation location="FaxService/QueryResultForRecvTask" /> 
<wsdl:input>
<mime:content type="text/xml" part="QueryResultForRecvTask" /> 
</wsdl:input>
<wsdl:output>
<mime:content type="text/xml" part="QueryResultForRecvTask" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="SendPHFaxToServer">
<http:operation location="FaxService/SendPHFaxToServer" /> 
<wsdl:input>
<mime:content type="text/xml" part="SendPHFaxToServer" /> 
</wsdl:input>
<wsdl:output>
<mime:content type="text/xml" part="SendPHFaxToServer" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="SendFaxToServer">
<http:operation location="FaxService/SendFaxToServer" /> 
<wsdl:input>
<mime:content type="text/xml" part="SendFaxToServer" /> 
</wsdl:input>
<wsdl:output>
<mime:content type="text/xml" part="SendFaxToServer" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="ModifyUserInfo">
<http:operation location="FaxService/ModifyUserInfo" /> 
<wsdl:input>
<mime:content type="text/xml" part="ModifyUserInfo" /> 
</wsdl:input>
<wsdl:output>
<mime:content type="text/xml" part="ModifyUserInfo" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="GetUserInfo">
<http:operation location="FaxService/GetUserInfo" /> 
<wsdl:input>
<mime:content type="text/xml" part="GetUserInfo" /> 
</wsdl:input>
<wsdl:output>
<mime:content type="text/xml" part="GetUserInfo" /> 
</wsdl:output>
</wsdl:operation>
<wsdl:operation name="DeleteFileForSendTask">
<http:operation location="FaxService/DeleteFileForSendTask" /> 
<wsdl:input>
<mime:content type="text/xml" part="DeleteFileForSendTask" /> 
</wsdl:input>
<wsdl:output>
<mime:content type="text/xml" part="DeleteFileForSendTask" /> 
</wsdl:output>
</wsdl:operation>
</wsdl:binding>
<wsdl:service name="FaxService">
<wsdl:port name="FaxServiceSOAP11port_http" binding="ns0:FaxServiceSOAP11Binding">
<soap:address location="http://60.10.59.126:80/servlet/services/FaxService" /> 
</wsdl:port>
<wsdl:port name="FaxServiceSOAP12port_http" binding="ns0:FaxServiceSOAP12Binding">
<soap12:address location="http://60.10.59.126:80/servlet/services/FaxService" /> 
</wsdl:port>
<wsdl:port name="FaxServiceHttpport" binding="ns0:FaxServiceHttpBinding">
<http:address location="http://60.10.59.126:80/servlet/services/FaxService" /> 
</wsdl:port>
</wsdl:service>
</wsdl:definitions>